# SubAccounts Retrieve a list of subaccounts. Endpoint: GET /api/ledger/subaccount Version: 1.0.0 Security: JWT ## Query parameters: - `accountIds` (array) Account ids: if specified, limits results to the items related to the accounts whose ids match the provided set; otherwise, all results related to any authorized account will be returned - `subaccountType` (string) Subaccount type code Enum: "ACT", "RET" - `$filter` (string) OData-like filter expression - `$orderby` (string) Comma-separated list of columns for sorting - `$skip` (integer) Number of records to skip - `$top` (integer) Maximum number of records to return - `$apply` (string) OData-like apply expression with groupby and aggregate only ## Response 200 fields (application/json): - `@count` (integer) - `value` (array, required) - `value.accountId` (integer, required) The account identifier Example: 55 - `value.subaccountId` (string, required) The subaccount identifier Example: "321" - `value.subaccountType` (string, required) The subaccount type Enum: "ACT", "RET", "KSG" - `value.subaccountName` (string, required) The subaccount name Example: "Active Hydro Certificates" - `value.open` (boolean, required) Whether the subaccount is open - `totalCount` (integer) - `countExceeded` (boolean, required) ## Response 400 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 401 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 403 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 429 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 500 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code